From: <a href="/blend/av.cgi?id=69">Savannah Haze</a><BR>
Date: 10 July 2005<P>

Okay, I was bored so I killed the teddy bear, too.  Did you play the chicken game?  It was worth the Deliverance quotes over and over just to see the sheep at the end.  He mysteriously has a hand on his back that's "moving."<BR>
<BR>
Eww... beastiality is not cool.  I guess it beats marrying your sister, though.  
<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 10 July 2005<P>

savannah: i found the site by looking at my 'favorites' i have saved.  a couple of years ago someone sent me the 'chokin chickn' game thingie.  when i clicked on it i was directed to this site.  anyhow, it was fun while it lasted!!!  glad you got a smile too.
<HR>
From: <a href="/blend/av.cgi?id=254">chris</a><BR>
Date: 10 July 2005<P>

"...the piece I posted at the Muground community or the remarks I made in the guestbook at the geocities site..."<BR>
<BR>
How I knew isn't the point, Misti - the point is that you're doing it. Don't you think it's kind of creepy for an ex to still be this fixated on someone they divorced more than a year ago? <BR>
<BR>
Jeez...
<HR>
From: <a href="/blend/av.cgi?id=2">scqueen</a><BR>
Date: 10 July 2005<P>

What is Muground?
<HR>
From: <a href="/blend/av.cgi?id=254">chris</a><BR>
Date: 10 July 2005<P>

Whitney - <BR>
<BR>
(copy and paste if the link doesn't show) <BR>
<BR>
<a href="http://www.mallasch.com/mug/diary/diary_entry.php?id=807">http://www.mallasch.com/mug/diary/diary_entry.php?id=807</a>
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 10 July 2005<P>

Oh my; on a lighter note go to the soap box and look at the cartoons I've posted. They are pretty funny.<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 10 July 2005<P>

Nice survey question!<BR>
<BR>
Your blender-keeper: one week late but making good time.
<HR>
From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 10 July 2005<P>

July Blender is served!
<HR>